version: "3.3"

volumes:
  db-admin-data:

services:
  db-admin:
    image: dpage/pgadmin4:latest
    restart: always
    environment:
      PGADMIN_DEFAULT_EMAIL: admin@admin.com
      PGADMIN_DEFAULT_PASSWORD: admin
    volumes:
      - db-admin-data:/var/lib/pgadmin
    ports:
      - "5050:5050"
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.db-admin.entrypoints=web"
      - "traefik.http.routers.db-admin.rule=Host(`localhost`)"
    depends_on:
      - gateway
      - backend-db
